Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.image
Interface ImageModule

    public interface ImageModule

Represents a shared library loaded into the image, or the executable module itself

Author:
  pburka

Method Summary
`java.lang.String` | `getName()` Get the file name of the shared library.
`java.util.Properties` | `getProperties()` Get the table of properties associated with this module.
`java.util.Iterator` | `getSections()` Get the collection of sections that make up this library.
`java.util.Iterator` | `getSymbols()` Provides a collection of symbols defined by the library.

Method Detail

### getName

    java.lang.String getName()
                             throws CorruptDataException

  Get the file name of the shared library.

  Returns:
    the file name of the shared library
  Throws:
    `CorruptDataException` - If the module is corrupt and the original file cannot be determined

### getSections

    java.util.Iterator getSections()

  Get the collection of sections that make up this library.

  Returns:
    a collection of sections that make up this library
  See Also:
    `ImageSection`, `CorruptData`

### getSymbols

    java.util.Iterator getSymbols()

  Provides a collection of symbols defined by the library. This list is likely incomplete as many symbols may be private, symbols may have been stripped from the library, or symbols may not by available in the image.

  Returns:
    a collection of symbols which are defined by this library.
  See Also:
    `ImageSymbol`, `CorruptData`

### getProperties

    java.util.Properties getProperties()
                                       throws CorruptDataException

  Get the table of properties associated with this module.

  Returns:
    a table of properties associated with this module. Values typically defined in this table include
    - "version" -- version information about the module
  Throws:
    `CorruptDataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD